Page MenuHomePhabricator

VE should not break a line just before a footnote
Closed, InvalidPublic

Description

Mediawiki's rendered wikitext will never break a line just before a footnote. VisualEditor will break lines just before a footnote, even if the symbol right before the footnote is a period. The behaviors of VisualEditor and MediaWiki should be consistent.

For an example, go to

https://www.mediawiki.org/w/index.php?title=VisualEditor:TestAxelBoldt&oldid=1656089&veaction=edit

and adjust the browser window's width until the line break occurs just before footnote [1].

Event Timeline

AxelBoldt raised the priority of this task from to Needs Triage.
AxelBoldt updated the task description. (Show Details)
AxelBoldt added a subscriber: AxelBoldt.
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 23 2015, 10:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
AxelBoldt reopened this task as Open.Feb 12 2016, 6:29 PM
AxelBoldt set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 12 2016, 6:29 PM

@AxelBoldt: Is this not a duplicate?

This was closed as a duplicate of T96487. However, while T96487 has been resolved, the issue described here remains. So I am re-opening.

In fact, Mediawiki's rendered wikitext does break lines just before footnotes, so this bug report is entirely invalid.

AxelBoldt closed this task as Invalid.Feb 14 2016, 9:51 PM